Page MenuHomePhabricator

Improve language selection
Closed, ResolvedPublic3 Story Points

Description

The Wikipedia apps allows to change the language version of the Wikipedia in the settings. Some users want to switch the language of wikipedia more often, e.g. several times a day (e.g. to allow searching in the other language version). Actually it's quite difficult, you have to open the sidebar, tap on "more", and then change the language.

Maybe there is a better was to solving this, e.g. with a shortcut for this setting in the sidebar (maybe with a checkbox in the setting itself "show shortcut in sidebar") to implement an opt-in for this. This would make it easier to change the wikipedia language version :)

Source (only for OTRS members!): https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom&TicketID=7825568


Version: Stable
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=34100

Details

Reference
bz71136

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz71136.
bzimport added a subscriber: Unknown Object (MLST).
Florian created this task.Sep 22 2014, 8:24 PM

Created attachment 16902
Example of fast search language switching in Wikiamo app

Attached:

+1 for this feature. This is actually one of the very few things i miss from the honourable old Wikiamo (iOS) app. I'm from the Netherlands and i switch between the Dutch and the English language editions multiple times per day. It's very frustrating to have such a long interaction path to switch between multiple languages.

On the Wikiamo app (screenshots attached as an example) the path to change the language is:

  1. Open up search
  2. Tap the language shortcode next to the search field
  3. Select another language

Note that the current search query is not deleted and is repeated in the new language.

On the Wikipedia app it's:

  1. Open up the 'W'
  2. Select 'MORE'
  3. Select 'Search <language> Wikipedia'
  4. Select another language

That doesn't seem a lot longer (one step), but in my experience you usually want to switch languages because you're searching for something, and in that case the path is *a lot* longer. Given that you have the search panel open:

  1. Hit 'Cancel'
  2. Hit 'W'
  3. Select 'Search <language> Wikipedia'
  4. Select another language
  5. Hit the search button again

In the Wikiamo app it's only two steps (Hit language code --> Select language) instead of five.

IIRC, some users instead suggested allowing searching multiple languages at the same time...

AlexLippert added a comment.EditedApr 21 2015, 3:00 PM

Any ETA when this will be worked on? - In the duplicate ticket https://phabricator.wikimedia.org/T87154 some were considering this to be a topic for the 2015 hackathon in May. - Pau Giner even created a few nicely looking mocks for that.

Thank you,
Alex

Dbrant reopened this task as Open.May 25 2015, 11:57 AM
Dbrant added a subscriber: Dbrant.
Ragesoss removed a subscriber: Ragesoss.Jun 5 2015, 5:51 PM
KLans_WMF set Security to None.Jun 5 2015, 5:56 PM
KLans_WMF edited a custom field.
Qgil removed a subscriber: Qgil.Jun 5 2015, 8:56 PM

@Vibhabamba @KHammerstein could you provide an icon for this?

KLans_WMF edited a custom field.Jun 8 2015, 8:00 PM
Deskana removed a subscriber: Deskana.Jun 23 2015, 4:05 AM

Change 220662 merged by jenkins-bot:
Add language selection button to search bar

https://gerrit.wikimedia.org/r/220662

@Mholloway, Need to meet with you to see this/ or kindly add screenshots.
I can't see this on the latest alpha.

Design signoff is pending.

Hi @Vibhabamba,

The language selection button is only visible when search is active -- that might be why you're not seeing it. It should display to the right of the search bar when you tap to begin a search.

Here are screenshots:

Husky added a comment.Jul 7 2015, 2:29 PM

The screenshots look really promising! Any chance this will also make the iOS release?

@Husky -- I haven't seen it personally, but it looks like it's coming soon on iOS if not already released: https://phabricator.wikimedia.org/T97780

Are you sure it's the same? T73136 is about changing the SEARCH language, while T97780 talks about changing the ARTICLE language.

This comment was removed by Vibhabamba.

Regarding this screen, it looks like we are using using Display1 (34sp)/ Headline (24sp) for all list items.
I suggest downgrading the 'Use system language' to one size below and setting that in a different color.

I Just chatted with @mdholloway and I would like the break up the interaction and visual design for the system language dialogue into its own task.

Breaking off a separate ticket for the second screen - https://phabricator.wikimedia.org/T105429

@Vibhabamba -- search bar updated per your specifications:

Change 224512 had a related patch set uploaded (by Mholloway):
Refine design of search bar language selection button

https://gerrit.wikimedia.org/r/224512

@Vibhabamba I discussed the design with @Dbrant earlier today and made some changes following from that conversation -- here are updated screenshots.

(Note that we assign the button a clickable area extending into the surrounding margins for a clickable area of 48dp in total, in accordance with Android design/usability principles.)

@Vibhabamba -- #aaaaaa looks fairly light for the button fill -- can we go a bit darker?

Agree, we could try #777 or #555
Also the button could be a bit bigger, I realize the two letters are hard to read.

Change 224512 merged by jenkins-bot:
Refine design of search bar language selection button

https://gerrit.wikimedia.org/r/224512

Etonkovidova added a comment.EditedJul 21 2015, 9:19 PM

2.0.105-alpha-2015-07-21 emulator Nexus 5 API 22 x86 - seems that all requirements are there:

Also checked on 2.0.106-beta-2015-07-20 Samsung Tablet Ce0168(Android 4.0.4).

SoWhy removed a subscriber: SoWhy.Jul 23 2015, 9:21 PM
Dbrant closed this task as Resolved.Jul 27 2015, 2:07 PM

Great job everyone. - I totally love the new feature! :-)

Verified, an updated app with this feature included was pushed out through Google Play today, and it works great!